CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
example_server.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include "lo/lo.h"`

Go to the source code of this file.

## Functions
void | error (int num, const char *m, const char *path)
int | generic_handler (const char *path, const char *types, lo_arg **argv, int argc, void *data, void *user_data)
int | foo_handler (const char *path, const char *types, lo_arg **argv, int argc, void *data, void *user_data)
int | quit_handler (const char *path, const char *types, lo_arg **argv, int argc, void *data, void *user_data)
int | main ()

## Variables
int | done = 0

## Function Documentation

void error | ( | int | num,
|  | const char * | m,
|  | const char * | path
| ) |  |

Definition at line 66 of file example_server.c.

Referenced by Orbit::calculate_eccentricity(), Orbit::calculate_new_position_in_orbit(), floatParamSetter(), initOSCReceive(), intParamSetter(), main(), playWithArgs(), csl::RemoteStream::RemoteStream(), rep_error(), csl::RtpReceiver::RtpReceiver(), csl::RtpSender::RtpSender(), stringParamSetter(), test_multicast(), and test_varargs().

int generic_handler | ( | const char * | path,
|  | const char * | types,
|  | lo_arg ** | argv,
|  | int | argc,
|  | void * | data,
|  | void * | user_data
| ) |  |

Definition at line 74 of file example_server.c.

References lo_arg_pp().

Referenced by main(), and mainOSCLoop().

int foo_handler | ( | const char * | path,
|  | const char * | types,
|  | lo_arg ** | argv,
|  | int | argc,
|  | void * | data,
|  | void * | user_data
| ) |  |

Definition at line 91 of file example_server.c.

Referenced by main(), and test_multicast().

int quit_handler | ( | const char * | path,
|  | const char * | types,
|  | lo_arg ** | argv,
|  | int | argc,
|  | void * | data,
|  | void * | user_data
| ) |  |

Definition at line 101 of file example_server.c.

References done.

Referenced by main(), and mainOSCLoop().

int main | ( |  | ) |

Definition at line 36 of file example_server.c.

References done, error(), foo_handler(), generic_handler(), lo_server_thread_add_method(), lo_server_thread_free(), lo_server_thread_new(), lo_server_thread_start(), and quit_handler().

## Variable Documentation

int done = 0

Definition at line 23 of file example_server.c.

Referenced by exitcheck(), main(), mainOSCLoop(), quit_handler(), testSndFileBank(), and testStringChorus().